Bug 812585 - mozilla-firetray-thunderbird-0.3.6-0.5.143svn is incompatible with thunderbird-11
mozilla-firetray-thunderbird-0.3.6-0.5.143svn is incompatible with thunderbir...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mozilla-firetray (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hicham HAOUARI
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-15 03:34 EDT by Ivan Romanov
Modified: 2012-08-07 12:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 12:18:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivan Romanov 2012-04-15 03:34:19 EDT
Hello.

I've updated thunderbird and mozilla-firetray-thunderbird. After this firetray doesn't work. 

$ rpm -q mozilla-firetray-thunderbird thunderbird
mozilla-firetray-thunderbird-0.3.6-0.5.143svn.fc15.i686
thunderbird-11.0.1-1.fc15.i686

$ cat /usr/lib/mozilla/extensions/\{3550f703-e582-4d05-9a08-453d09bdfdc6\}/\{9533f794-00b4-4354-aa15-c2bbda6989f8\}/install.rdf
...
      <!-- Mozilla Thunderbird -->
      <em:targetApplication>
        <Description>
          <em:id>{3550f703-e582-4d05-9a08-453d09bdfdc6}</em:id>
          <em:minVersion>3.0</em:minVersion>
          <em:maxVersion>10.*</em:maxVersion>
        </Description>
      </em:targetApplication>
...

hm ... I've tryed to use <em:maxVersion>11.*</em:maxVersion>. Now all ok.
So you can just increase version in install.rdf. Also don't forget about firefox.
Comment 1 Lukas Middendorf 2012-08-03 04:59:20 EDT
The proposed workaround does not seem to work with Thunderbird 14.0 on f17. The extension does nothing at all.
On https://addons.mozilla.org/de/thunderbird/addon/firetray/ there is 0.4.2 available that does work for Thunderbird 14.0

This package either has to be updated regularly on Thunderbird updates or should be dropped from fedora.
Comment 2 Fedora End Of Life 2012-08-07 12:18:57 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.